---
schema_version: "1"
id: 520f2ca49eb241f9237fafdb8a11c2bfa8064cb5d68d65b314c1156093b7a831
title: Deploy Metadata with Apex Testing Using REST
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/api_meta/meta_rest_deploy.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/meta_rest_deploy.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: be1a8334186eff9b6343b518bf764a4a16330ac09f613674511acf0e931c6f80
description: Deploy using the deployRequest REST resource to initiate a request that handles all operations for the deployment.
---
# Deploy Metadata with Apex Testing Using REST

Deploy using the deployRequest REST resource to initiate a request that handles all operations for the deployment.

You can deploy or retrieve up to 10,000 files at once. The maximum size of the deployed or retrieved .zip file is 39 MB. If the files are uncompressed in an unzipped folder, the size limit is 600 MB or 629,145,600 bytes. The size limit in bytes is calculated as 600 x 1024 x 1024.

**URI**

https://host/services/data/vXX.0/metadata/deployRequest

**Formats**

JSON

**HTTP Method**

POST

**Authentication**

Authorization: Bearer token

## deployOptions Parameters

![Note](https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/images/icon_note.png)

#### Note

To review the default testing behavior for deployments and approaches that can save time while still enabling you to meet testing requirements, see [Running Tests in a Deployment](https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/meta_deploy_running_tests.htm#meta_deploy_running_tests "Learn default test execution rules for Salesforce production deployments, including API version differences and Apex test requirements.") and [Run the Same Tests in Sandbox and Production Deployments](https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/meta_deploy_run_local_tests.htm#meta_deploy_run_local_tests "Starting in API version 34.0, you can choose which tests to run in your development environment, such as only local tests, to match the tests run in production. In earlier versions, if you enabled tests in your sandbox deployment, you couldn’t exclude managed package tests.").

<table class="featureTable sort_table" summary="">


          <thead class="thead sorted" align="left">
            <tr>
              <th class="featureTableHeader  " id="d1057890e110">Parameter</th>

              <th class="featureTableHeader  " id="d1057890e113">Description</th>

            </tr>

          </thead>

          <tbody class="tbody">
            <tr>
              <td class="entry" headers="d1057890e110" data-title="Parameter"><span class="keyword parmname">allowMissingFiles</span></td>

              <td class="entry" headers="d1057890e113" data-title="Description">Boolean. If files that are specified in <span class="ph filepath">package.xml</span> aren’t
                in the <span class="ph filepath">.zip</span> file, specifies whether a deployment can still
                succeed. Don’t set this argument for deployment to production orgs.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e110" data-title="Parameter"><span class="keyword parmname">autoUpdatePackage </span></td>

              <td class="entry" headers="d1057890e113" data-title="Description">Reserved for future use. </td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e110" data-title="Parameter"><span class="keyword parmname">checkOnly</span></td>

              <td class="entry" headers="d1057890e113" data-title="Description">Boolean. Defaults to <samp class="codeph java">false</samp>. Set to <samp class="codeph java">true</samp> to perform a test deployment (validation) of
                components without saving the components in the target org. A validation enables you
                to verify the results of tests that would be generated in a deployment, but doesn’t
                commit any changes. After a validation finishes with passing tests, it can qualify
                for deployment without rerunning tests. See <a class="xref" href="https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/meta_rest_deploy_recentvalidation.htm#meta_rest_deploy_recentvalidation" title="You can deploy components to production in less time by skipping the execution of Apex tests when testing requirements have already been met.">Deploy a Recently Validated Component Set Without Tests</a>.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e110" data-title="Parameter"><span class="keyword parmname">ignoreWarnings</span></td>

              <td class="entry" headers="d1057890e113" data-title="Description">Boolean. <span class="ph" id="field_ignoreWarnings_desc"><a name="field_ignoreWarnings_desc"><!-- --></a>Indicates whether a deployment is
                  allowed to complete successfully despite one or more warnings (<samp class="codeph java">true</samp>) or not (<samp class="codeph java">false</samp>). Defaults to <samp class="codeph java">false</samp>.</span>
                <p class="p">The DeployMessage object for a warning contains the
                  following values:</p>
                <ul class="ul bulletList">
                  <li class="li">
                    <span class="keyword parmname">problemType</span>—<samp class="codeph nolang">Warning</samp>
                  </li>

                  <li class="li">
                    <span class="keyword parmname">problem</span>—The text of the warning.
                  </li>

                </ul>
                <p class="p">If a warning occurs and <span class="keyword parmname">ignoreWarnings</span> is set to
                  <samp class="codeph java">true</samp>, the <span class="keyword parmname">success</span> field
                  in DeployMessage is <samp class="codeph java">true</samp>. If
                  <span class="keyword parmname">ignoreWarnings</span> is set to <samp class="codeph java">false</samp>, <span class="keyword parmname">success</span> is set to <samp class="codeph java">false</samp> and the warning is treated like an
                  error.
                </p>
              </td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e110" data-title="Parameter"><span class="keyword parmname">performRetrieve</span></td>

              <td class="entry" headers="d1057890e113" data-title="Description">Reserved for future use. </td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e110" data-title="Parameter"><span class="keyword parmname">purgeOnDelete</span></td>

              <td class="entry" headers="d1057890e113" data-title="Description">Boolean. <span class="ph" id="option_purgeOnDelete_desc"><a name="option_purgeOnDelete_desc"><!-- --></a>If <samp class="codeph java">true</samp>, the deleted components in the
                  <span class="ph filepath">destructiveChanges.xml</span> manifest file aren't stored in the
                  Recycle Bin. Instead, they become immediately eligible for deletion.</span>
                <p class="p"><span class="ph" id="only_test_orgs"><a name="only_test_orgs"><!-- --></a>This option only works in Developer Edition or sandbox orgs.
                    It doesn't work in production orgs.</span></p>
              </td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e110" data-title="Parameter"><span class="keyword parmname">rollbackOnError</span></td>

              <td class="entry" headers="d1057890e113" data-title="Description">Boolean. Indicates whether any failure causes a complete rollback (<samp class="codeph java">true</samp>) or not (<samp class="codeph java">false</samp>). If <samp class="codeph java">false</samp>, whatever actions can
                be performed without errors are performed, and errors are returned for the remaining
                actions. This parameter must be set to <samp class="codeph java">true</samp> if
                you’re deploying to a production org. The default is <samp class="codeph java">false</samp>.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e110" data-title="Parameter"><span class="keyword parmname">runTests</span></td>

              <td class="entry" headers="d1057890e113" data-title="Description">String[]. A list of Apex tests to run during deployment. Specify the class
                name, one name per instance. The class name can also specify a namespace with a dot
                notation. For more information, see <a class="xref" href="https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/meta_deploy_run_specific_tests.htm" title="Test levels enable you to have more control over which tests are run in a deployment. To shorten deployment time to production, run a subset of tests when deploying Apex components. The default test execution behavior in production has also changed. By default, if no test level is specified, no tests are executed, unless your deployment package contains Apex classes or triggers.">Running a Subset of Tests in a Deployment</a>.<p class="p">To use this option, set <span class="keyword parmname">testLevel</span> to
                  <samp class="codeph nolang">RunSpecifiedTests</samp>.
                </p>
              </td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e110" data-title="Parameter"><span class="keyword parmname">singlePackage</span></td>

              <td class="entry" headers="d1057890e113" data-title="Description">Boolean. Indicates whether the specified <samp class="codeph nolang">.zip</samp> file points to a directory structure with a single package (<samp class="codeph java">true</samp>) or a set of packages (<samp class="codeph java">false)</samp>.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e110" data-title="Parameter"><span class="keyword parmname">testLevel</span></td>

              <td class="entry" headers="d1057890e113" data-title="Description">TestLevel (enumeration of type string). Optional. Specifies which tests are run
                as part of a deployment. The test level is enforced regardless of the types of
                components that are present in the deployment package. Valid values are:<ul class="ul bulletList">
                  <li class="li">
                    <samp class="codeph nolang">NoTestRun</samp>—No tests are run. This
                    test level applies only to deployments to development environments, such as
                    sandbox, Developer Edition, or trial organizations. This test level is the
                    default for development environments.
                  </li>

                  <li class="li">
                    <samp class="codeph nolang" id="RunSpecifiedTests_name"><a name="RunSpecifiedTests_name"><!-- --></a>RunSpecifiedTests</samp>—Only the tests that you specify in the
                    <span class="keyword parmname">runTests</span> option are run. Code coverage requirements
                    differ from the default coverage requirements when using this test level. Each
                    class and trigger in the deployment package must be covered by the executed
                    tests for a minimum of 75% code coverage. This coverage is computed for each
                    class and triggers individually and is different than the overall coverage
                    percentage.
                  </li>

                  <li class="li">
                    <samp class="codeph nolang" id="RunRelevantTests"><a name="RunRelevantTests"><!-- --></a>RunRelevantTests</samp>
                    (beta)—Only tests relevant to the deployment payload are run. Salesforce
                    automatically identifies the relevant tests based on an analysis of the
                    deployment payload and the payload dependencies. For fine-grained control, you
                    can annotate test classes so that they either run regardless of the deployment
                    payload, or run when modified, referenced components are included in the
                    deployment. See <a class="xref" href="https://developer.salesforce.com/docs/atlas.en-us.264.0.apexcode.meta/apexcode/apex_classes_annotation_isTest.htm" target="_blank">@IsTest Annotation</a> in the <cite class="cite">Apex
                      Developer Guide</cite>. Each class and trigger in the deployment package must
                    be covered by the executed tests for a minimum of 75% code coverage. This
                    coverage is computed for each class and trigger individually and is different
                    from the overall coverage percentage.
                  </li>

                  <li class="li">
                    <samp class="codeph nolang" id="RunLocalTests_name"><a name="RunLocalTests_name"><!-- --></a>RunLocalTests</samp>—<span class="ph" id="RunLocalTests_desc"><a name="RunLocalTests_desc"><!-- --></a>All tests in your
                      org are run, except the ones that originate from installed managed and
                      unlocked packages.</span> This test level is the default for production
                    deployments that include Apex classes or triggers.
                  </li>

                  <li class="li">
                    <samp class="codeph nolang" id="RunAllTestsInOrg_name"><a name="RunAllTestsInOrg_name"><!-- --></a>RunAllTestsInOrg</samp>—<span class="ph" id="RunAllTestsInOrg_desc"><a name="RunAllTestsInOrg_desc"><!-- --></a>All tests are
                      run. The tests include all tests in your org, including tests of managed
                      packages.</span>
                  </li>

                </ul>
                <p class="p">If you don’t specify a test level, the default test execution behavior is
                  used. See <a class="xref" href="https://developer.salesforce.com/docs/atlas.en-us.api_meta.meta/api_meta/meta_deploy_running_tests.htm" title="Learn default test execution rules for Salesforce production deployments, including API version differences and Apex test requirements.">Running Tests in a Deployment</a>.</p>

                <p class="p">Apex tests that run as part of a deployment always run synchronously and
                  serially.</p>
              </td>

            </tr>

          </tbody>

        </table>

## Request Body: Deploy Metadata

When you deploy metadata, your request includes both the deployment parameters and the .zip file containing the component directories and the manifest.

This example POST request creates a deployRequest object that initiates a deployment.

- The POST request header is set to Content-Type: multipart/form-data and defines a boundary delimiter to encapsulate different subparts of the request. In this example, the boundary delimiter is \--------------------------BOUNDARY.
- The boundary delimiter precedes each subpart, and the delimiter itself is preceded by two extra \--. In the first subpart, a JSON request creates a deployOptions child object for passing the deployment parameters.
- The second subpart specifies the .zip file that contains the manifest and the component directories.
- The second subpart ends with the boundary delimiter preceded by two \--. The delimiter is followed by another two \--, which indicate the end of the request body.

POST /services/data/v48.0/metadata/deployRequest
Authorization: Bearer 00D....
Content-Type: multipart/form-data; boundary=--------------------------BOUNDARY

----------------------------BOUNDARY
Content-Disposition: form-data; name="json"
Content-Type: application/json

{ 
    "deployOptions" :
        {
        "allowMissingFiles" : false,
        "autoUpdatePackage" : false,
        "checkOnly" : false,
        "ignoreWarnings" : false,
        "performRetrieve" : false,
        "purgeOnDelete" : false,
        "rollbackOnError" : false,
        "runTests" : null,
        "singlePackage" : true,
        "testLevel" : "RunAllTestsInOrg"
        }
    }

----------------------------BOUNDARY
Content-Disposition: form-data; name="file"; filename="deploy.zip"
Content-Type: application/zip

//Contents of deploy.zip
----------------------------BOUNDARY--

## Response Body: Deploy Metadata

When an HTTP status code of 201 (Created) is returned, your request has succeeded and resulted in the creation of a deployment that is being processed.

{ "id" : "0Afxx00000001VPCAY",
  "deployOptions" : 
   { "checkOnly" : false,
     "singlePackage" : false,
     "allowMissingFiles" : false,
     "performRetrieve" : false,
     "autoUpdatePackage" : false,
     "rollbackOnError" : true,
     "ignoreWarnings" : false,
     "purgeOnDelete" : false,
     "runAllTests" : false },
  "deployResult" : 
   { "id" : "0Afxx00000001VPCAY",
     "success" : false,
     "checkOnly" : false,
     "ignoreWarnings" : false,
     "rollbackOnError" : true,
     "status" : "Pending",
     "runTestsEnabled" : false,
     "done" : false } }

## deployResult Parameters

<table class="featureTable sort_table" summary="">



          <thead class="thead sorted" align="left">
            <tr>
              <th class="featureTableHeader  " id="d1057890e493">Parameter</th>

              <th class="featureTableHeader  " id="d1057890e496"></th>

              <th class="featureTableHeader  " id="d1057890e498">Description</th>

            </tr>

          </thead>

          <tbody class="tbody">
            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">id</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">ID. ID of the component being deployed.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">canceledBy</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">ID. The ID of the user who canceled the deployment.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">canceledByName</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">String. The full name of the user who canceled the deployment.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">checkOnly</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">Boolean. Indicates whether this deployment is used to check the validity of the
                deployed files without changing the org (<samp class="codeph nolang">true</samp>)
                or not (<samp class="codeph nolang">false</samp>). A check-only deployment doesn’t
                deploy any components or change the organization in any way.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">completedDate</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">DateTime. Timestamp for when the deployment process ended.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">createdBy</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">ID. The ID of the user who created the deployment.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">createdByName</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">String. The full name of the user who created the deployment.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">createdDate</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">DateTime. Timestamp for when the deploy request was received.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">details</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">DeployDetails. Provides the details of a deployment that is in-progress or
                ended if <samp class="codeph nolang">?includeDetails=true</samp> is added as a
                query to the GET request.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">done</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">Boolean. Indicates whether the server finished processing the deploy request
                for the specified <span class="keyword parmname">id</span>.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">errorMessage</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">String. Message corresponding to the values in the
                <span class="keyword parmname">errorStatusCode</span> field, if any.
              </td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">errorStatusCode</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">String. If an error occurred during the deploy request, a status code is
                returned, and the message corresponding to the status code is returned in
                <span class="keyword parmname">errorMessagefield</span>.
              </td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">ignoreWarnings</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">Boolean. Optional. Defaults to <samp class="codeph nolang">false</samp>.
                Specifies whether a deployment continues even if the deployment generates warnings.
                Don’t set this argument to <samp class="codeph nolang">true</samp> for deployments
                to production organizations.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">lastModifiedDate</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">DateTime. Timestamp of the last update for the deployment process.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">numberComponentErrors</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">Int. The number of components deployed in the deployment process. Use this
                value with the <span class="keyword parmname">numberComponentsTotal</span> value to get an estimate
                of the deployment’s progress.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">numberComponentsTotal</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">Int. The total number of components in the deployment. Use this value with the
                <span class="keyword parmname">numberComponentsDeployed</span> value to get an estimate of the
                deployment’s progress.
              </td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">numberTestErrors</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">Int. The number of Apex tests that have generated errors during this
                deployment.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">numberTestsCompleted</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">The number of completed Apex tests for this deployment. Use this value with the
                <span class="keyword parmname">numberTestsTotal</span> value to get an estimate of the deployment’s
                test progress.
              </td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">numberTestsTotal</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">Int. The total number of Apex tests for this deployment. Use this value with
                the <span class="keyword parmname">numberTestsCompleted</span> value to get an estimate of the
                deployment’s test progress. The value in this field isn’t accurate until the
                deployment has started running tests for the components being deployed.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">runTestsEnabled</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">Boolean. Indicates whether Apex tests were run as part of this deployment
                (<samp class="codeph nolang">true</samp>) or not (<samp class="codeph nolang">false</samp>). Tests are either automatically run as part of a deployment or
                can be set to run in the deployOptions child object.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">rollbackOnError</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">Boolean. Defaults to <samp class="codeph nolang">true</samp>. Indicates
                whether any failure causes a complete rollback (<samp class="codeph nolang">true</samp>) or not (<samp class="codeph nolang">false</samp>). If <samp class="codeph nolang">false</samp>, whatever set of actions can be performed
                without errors are performed, and errors are returned for the remaining actions.
                This parameter must be set to <samp class="codeph nolang">true</samp> if you’re
                deploying to a production org.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">startDate</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">DateTime. Timestamp for when the deployment process began.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">stateDetail</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">String. Indicates which component is being deployed or which Apex test class is
                running.</td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">status</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">Indicates the current state of the deployment. The valid values are: <ul class="ul bulletList">
                  <li class="li"><samp class="codeph nolang">Pending</samp></li>

                  <li class="li"><samp class="codeph nolang">InProgress</samp></li>

                  <li class="li"><samp class="codeph nolang">FinalizingDeploy</samp></li>

                  <li class="li"><samp class="codeph nolang">FinalizingDeployFailed</samp></li>

                  <li class="li"><samp class="codeph nolang">Succeeded</samp></li>

                  <li class="li"><samp class="codeph nolang">SucceededPartial</samp></li>

                  <li class="li"><samp class="codeph nolang">Failed</samp></li>

                  <li class="li"><samp class="codeph nolang">Canceling</samp></li>

                  <li class="li"><samp class="codeph nolang">Canceled</samp></li>

                </ul>
              </td>

            </tr>

            <tr>
              <td class="entry" headers="d1057890e493" data-title="Parameter"><span class="keyword parmname">success</span></td>

              <td class="entry" headers="d1057890e496" data-title=""></td>

              <td class="entry" headers="d1057890e498" data-title="Description">Boolean. Indicates whether the deployment was successful (<samp class="codeph nolang">true</samp>) or not (<samp class="codeph nolang">false</samp>).</td>

            </tr>

          </tbody>

        </table>